Author Topic: "Filters" plugin doesn't work after upgrade to Roundcube 1.2.0  (Read 3203 times)

Offline zeuslinux

  • Newbie
  • *
  • Posts: 6
I made the upgrade of roundcube from the version 1.1.4 to 1.2.0 (final version) and the "filters" plugin, which I had installed manually and that worked without problems in the 1.1.x version of roundcube, doesn't work anymore.

I tried to upgrade the filters plugin ( https://plugins.roundcube.net/packages/roundcube/filters    and   https://github.com/6ec123321/filters ) to the last version (2.14) and even with this procedure, in /var/log/messages there are the following error messages:

roundcube: PHP Fatal error:  Call to undefined method rcube_imap::get_mailbox_name() in /var/www/roundcubemail/plugins/filters/filters.php on line 45

I had to disable this plugin to roundcube 1.2.0 works on my server.

Is "filters" plugin incompatible with the new 1.2.0 version of roundcube ?

Offline zeuslinux

  • Newbie
  • *
  • Posts: 6
Re: "Filters" plugin doesn't work after upgrade to Roundcube 1.2.0
« Reply #1 on: June 01, 2016, 01:31:52 PM »
Replying to myself, I resolved this problem using this version of filters plugin:

https://github.com/6ec123321/filters/tree/filters_PHP7_RC1.2

This version has a fix to be compatible with roundcube 1.2.0 ...

Offline Weenie

  • Newbie
  • *
  • Posts: 1
Re: "Filters" plugin doesn't work after upgrade to Roundcube 1.2.0
« Reply #2 on: June 02, 2016, 07:28:23 PM »
I tried new version and still get error.

Offline bentb

  • Newbie
  • *
  • Posts: 1
Re: "Filters" plugin doesn't work after upgrade to Roundcube 1.2.0
« Reply #3 on: June 17, 2016, 12:36:28 PM »
Has this been reported as a bug?